Next: TANH, Previous: SYSTEM_CLOCK, Up: Intrinsic Procedures

### 8.240 `TAN` — Tangent function

Description:
  `TAN(X)` computes the tangent of X.
Standard:
  Fortran 77 and later, for a complex argument Fortran 2008 or later
Class:
  Elemental function
Syntax:
  `RESULT = TAN(X)`
Arguments:

  X | The type shall be `REAL` or `COMPLEX`.

Return value:
  The return value has same type and kind as X.
Example:

                program test_tan
                  real(8) :: x = 0.165_8
                  x = tan(x)
                end program test_tan

Specific names:

  Name | Argument | Return type | Standard
  `TAN(X)` | `REAL(4) X` | `REAL(4)` | Fortran 95 and later
  `DTAN(X)` | `REAL(8) X` | `REAL(8)` | Fortran 95 and later

See also:
  ATAN